{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('external_user/user_registration/mass_operation/activate') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('external_user/user_registration/mass_operation/activate') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4 flex-wrap">
        {% set userRegistrationOverviewUrlParameters = {'userRegistrationTypeName': app.request.attributes.get('_route_params').userRegistrationTypeName} %}

        {% set userRegistrationOverviewUrlParameters = userRegistrationOverviewUrlParameters|merge(fetch_merged_url_parameters_by_session_key_name('userRegistrationOverview')) %}

        <a href="{{ path('external_user_user_registration_overview', userRegistrationOverviewUrlParameters) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Accounts freischalten <span class="text-secondary">({{ userRegistrations|length }})</span></span>
        {{ form_widget(userRegistrationMassOperationActivateForm.activate, {'label': 'FREISCHALTEN', 'id': userRegistrationMassOperationActivateForm.activate.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
    </div>
{% endblock %}
{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4">
            <div class="p-3">
                <h1 class="fs-4 d-flex align-items-center">
                    <span class="material-icons me-2 text-danger">warning_amber</span>
                    Die untenstehenden Accounts externer Nutzer:innen werden alle auf einmal freigeschaltet.
                </h1>
                <p>
                    Um die ausgewählten Accounts freizuschalten, müssen Sie zuerst den folgenden Code eingeben:
                    <span class="delete-code">registrierungen_{{ userRegistrations|length }}</span>
                </p>
                {{ form_start(userRegistrationMassOperationActivateForm, {'attr': {'id': userRegistrationMassOperationActivateForm.vars.id ~ '_form', 'autocomplete': 'off'}}) }}
                {{ form_row(userRegistrationMassOperationActivateForm.verificationCode) }}
                {{ form_row(userRegistrationMassOperationActivateForm.selectedRowIds) }}
                {{ form_row(userRegistrationMassOperationActivateForm._token) }}
                {{ form_end(userRegistrationMassOperationActivateForm, {'render_rest': false}) }}
            </div>
        </div>
        <div class="mdc-card mb-4">
            {% include 'external_user/component/user_registration/user_registration_list_component.html.twig' with {
                'idPrefix': 'user_registration_',
                'listItems': userRegistrations,
                'showActionButton': false,
                'massOperation': false,
                'pagination': false,
                'sortable': false
            } only %}
        </div>
    </div>
{% endblock %}
